function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("r_hall")
    
    std.create_half_tube(3, "y_pos", "e")
    std.create_center(7,"e")

    --Calling the helper function.
    add.kitchen_in_middle()

    local msg_str = "You can create your own lua functions to "
        .. "be used by the main function of any block script.\n\n"
        .. "Right now there should be the function "
        .. "\"p.kitchen_in_middle\" defined in "
        .. "\"WorldNodes/Helpers/add.lua\" "
        .. "in the directory ^x00ff00WorldNodes/Helpers^! "
        .. "of this package. "
        .. "This block script, tut_lev13_helpers.lua, "
        .. "calls this function.\n\n"
        .. "You can create your own (Lua) helper functions there.\n\n"
        .. "Read \"WorldNodes/Helpers/example.lua\" "
        .. "and the Creation Manual for more details. "
    add_bent_s(7,7,9,"bent_base_txt",msg_str)
end
